> ## Documentation Index
> Fetch the complete documentation index at: https://studio.assembly.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a File's contents

> Streams the raw contents of a file as an octet-stream.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/files/{id}/download
openapi: 3.0.0
info:
  contact: {}
  title: Assembly API
  version: 0.0.1
servers:
  - url: https://api.assembly.com
security: []
paths:
  /v1/files/{id}/download:
    get:
      tags:
        - Files
      summary: Get a File's contents
      description: Streams the raw contents of a file as an octet-stream.
      operationId: download-a-file
      parameters:
        - description: File id
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/octet-stream:
              schema:
                format: binary
                type: string
          description: File contents
        '400':
          content:
            application/octet-stream:
              schema:
                $ref: '#/components/schemas/dispatcher.Error'
          description: >-
            Missing file id, record is not a downloadable file, or file is too
            large
        '401':
          content:
            application/octet-stream:
              schema:
                $ref: '#/components/schemas/dispatcher.Error'
          description: Missing or invalid API key
        '404':
          content:
            application/octet-stream:
              schema:
                $ref: '#/components/schemas/dispatcher.Error'
          description: File not found
        '500':
          content:
            application/octet-stream:
              schema:
                $ref: '#/components/schemas/dispatcher.Error'
          description: Unexpected server error
      security:
        - APIKeyHeader: []
components:
  schemas:
    dispatcher.Error:
      properties:
        code:
          type: string
        data: {}
        message:
          type: string
      type: object
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-API-KEY
      type: apiKey

````